Subject: Re: bug#55672: 29.0.50; Emacs crashes when calling start-process-shell-command xdg-open with process-connection-type set to nil

From: Po Lu <[email-masked]>
Date: Fri, 27 May 2022 21:46:05 +0800

Ihor Radchenko <[email-masked]> writes:

> When I remove these lines, Emacs no longer crashes.

Thanks.  It doesn't seem to be a bug in Emacs, so I guess the use of
cairo's XCB support should be disabled by default until someone figures
out the precise cause of these problems.

> However, the behavior is still not right. I can still see flickering
> (frames being created and immediately closed). I recorded a screencast
> demonstrating the issue: https://0x0.st/oBHO.mkv

What's calling `make-frame'?